Package ru.bitel.bgbilling.plugins.shop.common.bean

# Enum Class WarehouseOperationType

java.lang.Object
java.lang.Enum<WarehouseOperationType>
ru.bitel.bgbilling.plugins.shop.common.bean.WarehouseOperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<WarehouseOperationType>`, `Constable`, `GuiTitlable`

public enum WarehouseOperationType extends Enum<WarehouseOperationType> implements GuiTitlable
Описание типов операции с товарами на складах для ведения истории

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADD_TO_CONTRACT`
  `ADD_TO_WAREHOUSE`
  `REMOVE_FROM_CONTRACT`
  `REMOVE_FROM_WAREHOUSE`
  `TRANSFER_TO_WAREHOUSE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WarehouseOperationType`
  `define(int ordinal)`
  `String`
  `getDescription()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `static WarehouseOperationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WarehouseOperationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADD_TO_WAREHOUSE

    public static final WarehouseOperationType ADD_TO_WAREHOUSE

  - ### REMOVE_FROM_WAREHOUSE

    public static final WarehouseOperationType REMOVE_FROM_WAREHOUSE

  - ### TRANSFER_TO_WAREHOUSE

    public static final WarehouseOperationType TRANSFER_TO_WAREHOUSE

  - ### ADD_TO_CONTRACT

    public static final WarehouseOperationType ADD_TO_CONTRACT

  - ### REMOVE_FROM_CONTRACT

    public static final WarehouseOperationType REMOVE_FROM_CONTRACT

- ## Method Details

  - ### values

    public static WarehouseOperationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WarehouseOperationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    public String getDescription()

  - ### define

    public static WarehouseOperationType define(int ordinal)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.